<h2>Nouvelle news</h2>
<div class="bloc_content">

<?php if($env->out["preview"]) : $env->out["news"] = $env->out["preview"]; ?>

<div class="news">
  <div class="news_categorie">
<?php if($env->out["news"]["categorie_icone"] || $env->out["news"]["categorie_titre"]) : ?>
    <a href="<?= $env->url(array("e" => "accueil", "categorie" => $env->out["news"]["categorie"])) ?>">
<?php if($env->out["news"]["categorie_icone"]) : ?>
      <img src="<?= $env->out["news"]["categorie_icone"] ?>" alt="<?= $env->out["news"]["categorie_titre"] ?>" />
<?php else : ?>
      <?= $env->out["news"]["categorie_titre"] ?>
<?php endif; ?>
    </a>
<?php else : ?>
    &nbsp;
<?php endif; ?>
  </div>
  <div class="news_main">
    <h3><span><?= $env->out["news"]["titre"] ?></span></h3>
    <p class="by">
      Par <?= $env->out["news"]["auteur"] ?> -
      <?= $env->out["news"]["date_publication"] ? $env->out["news"]["date_publication"] : date("Y-m-d H:i:s") ?>
    </p>
    <div class="news_contenu">
    <?= $env->data->html($env->out["news"]["contenu"]) ?>
    </div>
  </div>
  <div class="clear"><!-- --></div>
</div>

<br/><br/>
<?php endif; ?>

<form name="news_form" action="<?= $env->url(array("e" => "set_news", "action" => "add_news")) ?>" method="post">
<input type="hidden" name="preview" value="0" />
<table class="admin">
  <tr>
    <th>titre</th>
    <td><input type="text" name="titre" style="width: 500px" value="<?= $env->out["news"]["titre"] ?>"></td>
  </tr>
  <tr>
    <th>cat&eacute;gorie</th>
    <td>
      <select name="categorie">
        <option value="<?= $env->out["news_root_categorie"] ?>"
                <?= $env->out["news"]["categorie"] == $env->out["news_root_categorie"] ? " selected" : "" ?>>
          Sans cat&eacute;gorie</option>
<?php foreach($env->out["categories"]["list"] as $id_categorie => $categorie) : ?>
        <option value="<?= $id_categorie ?>"<?= $env->out["news"]["categorie"] == $id_categorie ? " selected" : "" ?>>
          <?= $categorie["titre"] ?>
        </option>
<?php endforeach; ?>
      </select>
    </td>
  </tr>
  <tr>
    <th>publique</th>
    <td>
      <div class="info">cochez cette case pour rendre la news publique</div>
      <input type="checkbox" name="public" <?=
             isset($env->out["news"]["public"]) ? ($env->out["news"]["public"] ? "checked" : "") : "checked" ?>>
    </td>
  </tr>
  <tr>
    <th>date de publication</th>
    <td>
      <div class="info">
        Vous pouvez pr&eacute;ciser une date dans le future pour un affichage &agrave; la date voulue<br/>
        Laissez vide pour que la date de publication soit la date actuelle.<br/><br/>
        format : aaaa-mm-jj<br/>
        ou : aaaa-mm-jj hh-mm-ss
      </div>
      <link href="<?= $env->out_file("css/ds.css") ?>" rel="stylesheet" type="text/css" />
      <input type="text" name="date_publication" value="<?= $env->out["news"]["date_publication"] ?>" onclick="ds_sh(this, ' 00:00:00');">
    </td>
  </tr>
  <tr class="ds_box" id="ds_conclass" style="display: none;">
    <th>calendrier</th>
    <td id="ds_calclass"></td>
  </tr>
</table>
<br />
      <textarea name="news" id="news" style="width: 765px; height: 400px;"><?= $env->out["news"]["contenu"] ?></textarea>
      <script type="text/javascript" src="<?= $env->path("tinymce") ?>jscripts/tiny_mce/tiny_mce.js"></script>
      <script type="text/javascript">
      tinyMCE.init
      ( { mode: "exact",
          elements : "news",
          theme : "advanced",
          plugins : "safari,pagebreak,style,layer,table,save,advhr,advimage,advlink,emotions,iespell,insertdatetime,preview,media,searchreplace,print,contextmenu,paste,directionality,fullscreen,noneditable,visualchars,nonbreaking,xhtmlxtras,template",
          theme_advanced_buttons1 : "bold,italic,underline,strikethrough,|,justifyleft,justifycenter,justifyright,justifyfull,formatselect,fontsizeselect",
          theme_advanced_buttons2 : "bullist,numlist,|blockquote,|,link,unlink,anchor,image,cleanup,help,|,hr,charmap,|,forecolor,backcolor",
          theme_advanced_buttons3 : null,
          theme_advanced_toolbar_location : "top",
          theme_advanced_toolbar_align : "left",
          theme_advanced_statusbar_location : "bottom",
          theme_advanced_resizing : true,
          content_css : "<?= $env->out_file("css/tiny_mce.css") ?>"
        }
      );
      </script>
<br />
<table class="admin">
  <tr>
    <td align="center"><input type="submit" value="Pr&eacute;visualiser" onclick="document.forms['news_form'].preview.value='1'" /></td>
    <td align="center"><input type="submit" value="Enregistrer" /></td>
  </tr>
</table>
      <script type="text/javascript" src="<?= $env->out_file("js/ds.js") ?>"></script>
</form>
